PingAuthorize API Reference

Read Entity with Specific Version

GET {{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}

The GET /history/{{entityType}}/{{entityId}}/{{entityVersion}} operation returns a representation of the entity identified in the request URL.

Specify the following parameters in the request URL:

Parameter Description

entityId

The ID of the entity. Can be a Trust framework, Test Suite, or Policy Manager entity.

entityVersion

The ID of the entity version.

entityType

The entity type. Options are Definition, Policy, PolicySet, Rule, Statement, Target. Refer to Entity types for descriptions.

Query parameters
Query parameter Description

branch

Branch ID or name

snapshot

Snapshot ID

Headers

x-user-id      {{userId}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}' \
--header 'x-user-id: {{userId}}'
var options = new RestClientOptions("{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}")
  .method("GET", body)
  .addHeader("x-user-id", "{{userId}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}',
  'headers': {
    'x-user-id': '{{userId}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}"

payload = {}
headers = {
  'x-user-id': '{{userId}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/history/{{entityType}}/{{entityId}}/{{entityVersion}}?branch={{branchId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "id": "ddd13d3f-7a52-4c6c-8d36-d4dad6c8616f",
    "version": "bb9fb9ee-e0bc-4bef-84c4-77724deb24dd",
    "type": "Policy",
    "name": "Test Token Authorization",
    "description": "Token authorization policy update.",
    "shared": false,
    "disabled": false,
    "combiningAlgorithm": {
        "algorithm": "DenyOverrides"
    },
    "children": [],
    "repetitionSettings": null,
    "permissions": {
        "inherit": true,
        "rolePermissions": []
    },
    "targets": [],
    "statements": [],
    "properties": [],
    "condition": null
}